Index: /trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro	(revision 226)
@@ -2,14 +2,14 @@
 ; @file_comments
 ; Reading function for the file net_cdf.
-; This program is less universal than ncdf_lec (it appeal to declared 
+; This program is less universal than ncdf_lec (it appeal to declared
 ; variables in common.pro) but it is very easier to be used. It considerate
 ; the declaration of the different zooms which have been defined
 ; (ixminmesh...premierx...), the declaration of the variable key_shift...
 ; To put it in a nutshell, the result of read_ncdf can be directly used in plt...
-; This is also this program which is used by default in our reading widgets.  
+; This is also this program which is used by default in our reading widgets.
 ;
 ; @categories
 ; Reading
-; 
+;
 ; @param NAME {in}{required}{type=string}
 ; It define the field to be read.
@@ -18,7 +18,7 @@
 ; Relative with the time axis.
 ; These can be
-;  - 2 date of the  type yyyymmdd and in this case, we select dates 
+;  - 2 date of the  type yyyymmdd and in this case, we select dates
 ;  which are included between these two dates.
-;  - 2 indexes which define between which and which time step we have 
+;  - 2 indexes which define between which and which time step we have
 ;  to extract the temporal dimension.
 ;
@@ -26,21 +26,21 @@
 ; Relative with the time axis.
 ; See BEGINNING.
-; 
+;
 ; @param COMPATIBILITY {in}{optional}
 ; Useless, defined for compatibility
-;  
-; @keyword BOXZOOM 
-; Contain the boxzoom on which we have to do the reading 
-; 
+;
+; @keyword BOXZOOM
+; Contain the boxzoom on which we have to do the reading
+;
 ; @keyword CALLITSELF {default=0}{type=scalar: 0 or 1}
 ; For ROMS outputs. Use by read_ncdf itself to access auxilliary data (h and zeta).
-; 
+;
 ; @keyword FILENAME {required}{type=string}
 ; It contains he file's name.
-; 
+;
 ; @keyword INIT {default=0}{type=scalar: 0 or 1}
 ; To call automatically initncdf, filename and thus
 ; redefine all the grid parameters
-; 
+;
 ; @keyword GRID
 ; ='[UTVWF]' to specify the type of grid. Default is (1)
@@ -48,17 +48,17 @@
 ; GRID[._][TUVFW].NC (not case sensible) or (2) T if case (1)
 ; is not found.
-; 
+;
 ; @keyword TIMESTEP {default=0}{type=scalar: 0 or 1}
 ; Specify that BEGINNING and ENDING refer to indexes of the time axis and not to dates
 ;
 ; @keyword TOUT {default=0}{type=scalar: 0 or 1}
-; We activate it if we want to read the file on the whole domain without 
-; considerate the sub-domain defined by the boxzoom or 
+; We activate it if we want to read the file on the whole domain without
+; considerate the sub-domain defined by the boxzoom or
 ; lon1,lon2,lat1,lat2,vert1,vert2.
-; 
+;
 ; @keyword NOSTRUCT {default=0}{type=scalar: 0 or 1}
-; We activate it if we do not want that read_ncdf send back a structure 
+; We activate it if we do not want that read_ncdf send back a structure
 ; but only the array referring to the field.
-; 
+;
 ; @keyword TIMEVAR {type=string}
 ; It define the name of the variable that
@@ -74,21 +74,21 @@
 ;
 ; @keyword _EXTRA
-; Used to pass your keywords 
+; Used to pass your keywords
 ;
 ; @returns
 ; Structure readable by litchamp.pro or an array if NOSTRUCT is activated.
-; 
+;
 ; @uses
 ; common.pro
-; 
+;
 ; @restrictions
 ; The field must have a temporal dimension.
-; 
+;
 ; @history
 ; Sebastien Masson (smasson\@lodyc.jussieu.fr)
-;                      15/10/1999 
-; 
+;                      15/10/1999
+;
 ; @version
-; $Id$ 
+; $Id$
 ;-
 ;---------------------------------------------------------
@@ -116,5 +116,5 @@
 ; we find the filename.
 ;------------------------------------------------------------
-;  print,filename 
+;  print,filename
 ; is parent a valid widget ?
   if keyword_set(parentin) then BEGIN
@@ -145,5 +145,5 @@
     ncdf_diminq, cdfid, varcontient.dim[i], tmp, dimsize
     dimnames[i] = tmp
-  ENDFOR 
+  ENDFOR
 ;------------------------------------------------------------
 ; shall we redefine the grid parameters
@@ -174,5 +174,5 @@
       lasttps = where(time EQ date2) & lasttps = lasttps[0]
     ENDIF ELSE BEGIN
-      IF keyword_set(timevar) THEN BEGIN 
+      IF keyword_set(timevar) THEN BEGIN
         timeid = ncdf_varid(cdfid, timevar)
         IF timeid EQ -1 THEN BEGIN
@@ -183,5 +183,5 @@
         timecontient = ncdf_varinq(cdfid, timeid)
         contient.recdim = timecontient.dim[0]
-      ENDIF ELSE BEGIN 
+      ENDIF ELSE BEGIN
 ; we find the infinite dimension
         timedim = contient.recdim
@@ -190,5 +190,5 @@
           return, report('the file '+filename+' as no infinite dimension. !C Use TIMESTEP or TIMEVAR keyword')
         endif
-; we find the FIRST time axis      
+; we find the FIRST time axis
         timeid = 0
         repeat BEGIN       ; As long as we have not find a variable having only one dimension: the infinite one
@@ -204,7 +204,7 @@
         endif
         timeid = timeid-1
-      ENDELSE 
+      ENDELSE
 ; we must found the time origin of the julian calendar used in the
-; time axis. 
+; time axis.
 ; does the attribut units an dcalendar exist for the variable time axis?
       if timecontient.natts EQ 0 then BEGIN
@@ -231,10 +231,10 @@
           'greg':IF n_elements(key_caltype) EQ 0 THEN key_caltype = 'greg'
           ELSE:BEGIN
-;            notused = report('Unknown calendar: '+value+', we use greg calendar.') 
+;            notused = report('Unknown calendar: '+value+', we use greg calendar.')
             key_caltype = 'greg'
           END
         ENDCASE
       ENDIF ELSE BEGIN
-;        notused = report('Unknown calendar, we use '+key_caltype+' calendar.') 
+;        notused = report('Unknown calendar, we use '+key_caltype+' calendar.')
         IF n_elements(key_caltype) EQ 0 THEN key_caltype = 'greg'
       ENDELSE
@@ -272,5 +272,5 @@
         'hour':time = julday(depart[1], depart[2], depart[0])+time/24.d
         'day':time = julday(depart[1], depart[2], depart[0])+time
-        'month':BEGIN 
+        'month':BEGIN
           if total(fix(time) NE time) NE 0 then $ ; we switch to days with 30d/m
             time = julday(depart[1], depart[2], depart[0])+round(time*30) $
@@ -327,5 +327,5 @@
         dimnames[0] EQ 'xi_u'   AND dimnames[1] EQ 'eta_rho':vargrid = 'U'
         dimnames[0] EQ 'xi_u'   AND dimnames[1] EQ 'eta_v'  :vargrid = 'F'
-        ELSE:BEGIN 
+        ELSE:BEGIN
 ; could we define the grid type from the file name??
           pattern = ['GRID.', 'GRID_', 'GRID', 'UPID_', '30ID_']
@@ -369,5 +369,5 @@
     endcase
   ENDIF ELSE BEGIN
-    if keyword_set(boxzoom) then BEGIN 
+    if keyword_set(boxzoom) then BEGIN
       Case 1 Of
         N_Elements(Boxzoom) Eq 1:bte = [lon1, lon2, lat1, lat2, 0., boxzoom[0]]
@@ -386,5 +386,5 @@
     ENDIF
     grille, mask, glam, gphi, gdep, nx, ny, nz, firstx, firsty, firstz, lastx, lasty, lastz
-    undefine, glam & undefine, gphi & ; We liberate some memoty!
+    undefine, glam & undefine, gphi & ; We liberate some memory!
   ENDELSE
 ;---------------------------------------------------------------------
@@ -442,5 +442,5 @@
     if found NE -1 then ncdf_attget, cdfid, name, attnames[found], missing_value
 ;
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
     IF NOT keyword_set(callitself) THEN varunit = ''
     add_offset = 0.
@@ -484,13 +484,13 @@
 ; we look for  missing_value
   IF size(missing_value, /type) NE 7 then BEGIN
-    IF size(missing_value, /type) EQ 1 THEN BEGIN 
+    IF size(missing_value, /type) EQ 1 THEN BEGIN
       missing_value = strlowcase(string(missing_value))
-      IF strmid(missing_value, 0, 1, /reverse_offset) EQ 'f' THEN $ 
+      IF strmid(missing_value, 0, 1, /reverse_offset) EQ 'f' THEN $
         missing_value = strmid(missing_value, 0, strlen(missing_value)-1)
-      IF isnumber(string(missing_value), tmp) EQ 1 THEN missing_value = tmp ELSE BEGIN 
+      IF isnumber(string(missing_value), tmp) EQ 1 THEN missing_value = tmp ELSE BEGIN
         print, 'Warning: missing value is not a number: ', missing_value
         missing_value = - 1
       ENDELSE
-    ENDIF 
+    ENDIF
 ;    if missing_value NE valmask then begin
     if abs(missing_value) LT 1e6 then missing = where(res EQ missing_value) $
@@ -498,5 +498,5 @@
 ;    ENDIF ELSE missing = -1
   ENDIF ELSE missing = -1
-; we apply add_offset, scale_factor and missing_value 
+; we apply add_offset, scale_factor and missing_value
   if scale_factor NE 1 then res = temporary(res)*scale_factor
   if add_offset NE 0 then res = temporary(res)+add_offset
@@ -538,6 +538,6 @@
   IF keyword_set(nostruct) THEN return, res
   IF keyword_set(key_forgetold) THEN BEGIN
-    return, {arr:temporary(res), grid:vargrid, unit:varunit, experiment:varexp, name:varname} 
-  ENDIF ELSE BEGIN 
+    return, {arr:temporary(res), grid:vargrid, unit:varunit, experiment:varexp, name:varname}
+  ENDIF ELSE BEGIN
     return, {tab:temporary(res), grille:vargrid, unite:varunit, experience:varexp, nom:varname}
   ENDELSE
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro	(revision 226)
@@ -5,8 +5,8 @@
 ;
 ; @file_comments
-; Overlayer contour to trace a field which can be mask. 
+; Overlayer contour to trace a field which can be mask.
 ; Elementary brick of plt, pltz et pltt.
 ;
-; @categories 
+; @categories
 ; Graphics
 ;
@@ -21,35 +21,35 @@
 ;
 ; @param MASK {in}{required}{type=array}
-; It is the array who mask z2d (with 0s on points we want to mask and 1s on others). 
+; It is the array who mask z2d (with 0s on points we want to mask and 1s on others).
 ; If z2d is not masked, put this argument equal to 1.
 ;
 ; @param XM {in}{required}
-; Axis of the mask. Vector or array of the same size that mask. 
+; Axis of the mask. Vector or array of the same size that mask.
 ; This is the coordinate of mask on x.
 ;
 ; @param YM {in}{required}
-; Axis of the mask. Vector or array of the same size that mask. 
+; Axis of the mask. Vector or array of the same size that mask.
 ; This is the coordinate of mask on y.
 ;
 ; @param LEVELS {in}{optional}{type=vector}
-; Vectors which contain levels needed at the contour. 
+; Vectors which contain levels needed at the contour.
 ; If it is not given, we take 20 levels between the min and the max.
-;  
+;
 ; @param COLORS {in}{optional}{type=vector}
-; Vectors which contain colors needed at the contour. 
+; Vectors which contain colors needed at the contour.
 ; If it is not given, we take 20 levels between the min and the max.
 ;
-; @keyword COLORTRICHAMP 
+; @keyword COLORTRICHAMP
 ; The color we want to use to draw the triangulation which is used to make contours of the field.
 ;
-; @keyword COLORTRIMASK 
+; @keyword COLORTRIMASK
 ; The color we want to use to draw the triangulation which is used to make contours of the mask.
 ;
-; @keyword COLOR_C 
+; @keyword COLOR_C
 ; To draw the contour in color instead of in black
-; with filling in color 
-;
-; @keyword CONT_NOFILL 
-; Activate it not to fill the point mask to let them transparent! 
+; with filling in color
+;
+; @keyword CONT_NOFILL
+; Activate it not to fill the point mask to let them transparent!
 ; Comment: Nevertheless, we trace mask's contour.
 ;
@@ -57,15 +57,15 @@
 ; The color of the continent.
 ;
-; @keyword DESSTRICHAMP 
-; To draw the triangulation which is used to make field's contours. 
-;
-; @keyword DESSTRIMASK 
+; @keyword DESSTRICHAMP
+; To draw the triangulation which is used to make field's contours.
+;
+; @keyword DESSTRIMASK
 ; To draw the triangulation which is used to make mask's contours.
-; 
-; @keyword FORPLT 
+;
+; @keyword FORPLT
 ; To activate if we want that the drawing of coast be realized by tracecote rather than tracemask.
 ;
 ; @keyword I_COLORS {type=vector}
-; It is a vector specifying the colors to use to trace contours. 
+; It is a vector specifying the colors to use to trace contours.
 ; It is the same thing that c_colors which act on contours.
 ;
@@ -74,5 +74,5 @@
 ;  % Out of range subscript encountered: <LONG      Array[38911]>.
 ;  % Execution halted at:  PLTBASE           151
-;             If the bug still exist, increase the value of more! 
+;             If the bug still exist, increase the value of more!
 ; (The explanation and the justification of this method do not have scientific bases yet...).
 ;
@@ -89,8 +89,8 @@
 ; I specify we only label one contour on two.
 ;
-; @keyword CONTOUR 
+; @keyword CONTOUR
 ; To be used since plt, pltz or pltt. (Have a look on these routines).
 ;
-; @keyword _EXTRA 
+; @keyword _EXTRA
 ; Used to pass your keywords
 ;
@@ -106,5 +106,5 @@
 ; 8/2/2000 check if the tri array is not equal to
 ; -1. allow contour with out using a triangulation.
-; 
+;
 ; @version
 ; $Id$
@@ -146,10 +146,10 @@
 ;---------------------------------------------------------
 ;
-; Explanation concerning contour. This keyword is activated when we trace a 
+; Explanation concerning contour. This keyword is activated when we trace a
 ; colored contour different from the one with black trait.
 ; If it is activated (case n_elements(contour) NE 0), we pass 2 time in pltbase:
 ;   1) We trace colors then we leave, it is the case:
 ;         n_elements(contour) NE 0 AND n_elements(contour) NE 4)
-;   2) We trace contours in traits then continents, it is the case: 
+;   2) We trace contours in traits then continents, it is the case:
 ;         n_elements(contour) NE 0 AND n_elements(contour) EQ 4)
 ;
@@ -162,5 +162,5 @@
 ; If levels and colors aren't given
 ;----------------------------------------------------------------------
-  if n_params() EQ 4 then $ 
+  if n_params() EQ 4 then $
     label, 0, min(z2d*mask), max(z2d*mask), ncontour, levels, colors
 ; attention bidouille inexplicable pour que tout se passe bien avec les
@@ -171,14 +171,14 @@
 ; Is cell_fill is a part of _extra, we desactive it if it is nt equal to 2
 ;----------------------------------------------------------------------
-  IF chkstru(ex, 'CELL_FILL') THEN BEGIN 
+  IF chkstru(ex, 'CELL_FILL') THEN BEGIN
     cell_fill = ex.CELL_FILL
     if ex.CELL_FILL NE 2 then ex.CELL_FILL = 0
   ENDIF ELSE cell_fill = 0      ;
 ;----------------------------------------------------------------------
-; I) Filling of contours in palette colors 
+; I) Filling of contours in palette colors
 ;----------------------------------------------------------------------
   if NOT keyword_set(more) then more = 10
   if NOT keyword_set(nofill) AND NOT keyword_set(color_c) then begin
-    if n_elements(contour) NE 4 THEN BEGIN 
+    if n_elements(contour) NE 4 THEN BEGIN
       if usetri EQ 2 then BEGIN
         IF size(x, /n_dimensions) EQ 1 THEN x = x#replicate(1, (size(z2d))[2])
@@ -191,9 +191,9 @@
         IF size(y, /n_dimensions) EQ 2 THEN y = reform(y[0, *])
         contour, z2d, x, y, levels = levels, c_color = colors, /noerase $
-          , /fill, _extra = ex 
+          , /fill, _extra = ex
       ENDELSE
     ENDIF
   ENDIF
-  if n_elements(contour) NE 0 AND n_elements(contour) NE 4 THEN GOTO, fini 
+  if n_elements(contour) NE 0 AND n_elements(contour) NE 4 THEN GOTO, fini
   IF chkstru(ex, 'C_ORIENTATION') THEN ex = extractstru(ex, 'C_ORIENTATION')
   IF chkstru(ex, 'C_SPACING') THEN ex = extractstru(ex, 'C_SPACING')
@@ -207,11 +207,11 @@
 ;
     IF (n_elements(mask) GT 1 OR n_elements(masknan) GT 1) $
-      AND NOT keyword_set(cont_nofill) THEN BEGIN 
-      IF keyword_set(maskorg) THEN tonan = maskorg*masknan ELSE tonan = mask*masknan 
+      AND NOT keyword_set(cont_nofill) THEN BEGIN
+      IF keyword_set(maskorg) THEN tonan = maskorg*masknan ELSE tonan = mask*masknan
       tonan = where(remplit(tonan, nite = 1, mask = tonan $
                             , /basique, fillval = 0 $
                             , fillxdir = keyword_set(realsection)) EQ 0, count)
       IF count NE 0 THEN z2d[temporary(tonan)] = !values.f_nan
-    ENDIF   
+    ENDIF
 ;
 ; We do not pass if we have to make differents contours...
@@ -232,5 +232,5 @@
       ENDCASE
 ;
-      IF usetri EQ 2 THEN BEGIN 
+      IF usetri EQ 2 THEN BEGIN
         IF size(x, /n_dimensions) EQ 1 THEN x = x#replicate(1, (size(z2d))[2])
         IF size(y, /n_dimensions) EQ 1 THEN y = replicate(1, (size(z2d))[1])#y
@@ -253,8 +253,8 @@
     IF chkstru(ex, 'LEVELS') THEN ex = extractstru(ex, 'LEVELS')
     IF chkstru(ex, 'NODATA') THEN ex = extractstru(ex, 'NODATA')
-    IF NOT keyword_set(cont_color) THEN cont_color = (!d.n_colors-1) <  255    
-;
-; If there is points at NaN 
-; We trace points in white at NaN bafore drawing coasts with a trait.
+    IF NOT keyword_set(cont_color) THEN cont_color = (!d.n_colors-1) <  255
+;
+; If there is points at NaN
+; We trace points in white at NaN before drawing coasts with a trait.
 ;
     if keyword_set(trinan) THEN BEGIN
@@ -298,5 +298,5 @@
               , COINDESCEND = coindescendmask, CONT_COLOR = cont_color, _extra = ex
           END
-          ELSE:BEGIN 
+          ELSE:BEGIN
             IF size(xm, /n_dimensions) EQ 2 THEN xm = xm[*, 0]
             IF size(ym, /n_dimensions) EQ 2 THEN ym = reform(ym[0, *])
@@ -310,5 +310,5 @@
 ;------------------------------------------------------------
       case 1 of
-        keyword_set(realsection) AND NOT keyword_set(cont_nofill):      
+        keyword_set(realsection) AND NOT keyword_set(cont_nofill):
         keyword_set(realsection) AND keyword_set(cont_nofill): $
           drawsectionbottom, mask, xm, ym $
@@ -334,5 +334,5 @@
 ;
 fini:
-  IF keyword_set(key_performance) THEN print, 'temps pltbase', systime(1)-tempsun 
+  IF keyword_set(key_performance) THEN print, 'temps pltbase', systime(1)-tempsun
 
   return
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltz.pro	(revision 226)
@@ -4,20 +4,20 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; Trace vertical graphs.
 ;
-; @categories 
+; @categories
 ; Graphics
 ;
-; @param TAB 
+; @param TAB
 ; The field whose we want to make a vertical cut can be 2 kind of thing:
-;         1) An 2d or 3d array. 
-;         If the field is 2d, indicate, with the keyword BOXZOOM, geographic delineations of the boxzoom. 
+;         1) An 2d or 3d array.
+;         If the field is 2d, indicate, with the keyword BOXZOOM, geographic delineations of the boxzoom.
 ;         If the field is 3d, we extract the section on we average possibly before to do the plot.
-;         2)  a structure respecting all criterions specified by litchamp.pro. 
+;         2)  a structure respecting all criterions specified by litchamp.pro.
 ;          See IDL> xhelp,'litchamp'. The array contained in the structure must be 2 or 3d (See case 1)
 ;
 ; ces arguments ne sont pas obligatoires:
-;  
+;
 ;	MAX: valeur maximum que l'on veut prendre en compte dans le trace
 ; des contours. Par defaut on prend le max de tab1 (sur les pts mer)
@@ -26,6 +26,6 @@
 ; des contours. Par defaut on prend le min de tab1 (sur les pts mer)
 ;
-; @keyword BOXZOOM 
-; Vector indicating the geographic zone on which we want to cut the map. 
+; @keyword BOXZOOM
+; Vector indicating the geographic zone on which we want to cut the map.
 ;  If BOXZOOM has :
 ; 1 element : The extraction is made on [lon1, lon2, lat1, lat2, 0.,boxzoom[0]]
@@ -37,24 +37,24 @@
 ; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
 ;
-; @keyword CONTINTERVALLE 
-; When CONTOUR is activated, it is the value between 2 isolines 
-; traced by a trait. So it can be different from the one specified by INTERVALLE which, 
-; in this case, does not control colored isolines in color anymore. If there is noone 
-; specified min, we choose a contour min which goes well with the specified interval! 
-; If this keyword is not specified, we trace 20 isolines from the min to the max. 
+; @keyword CONTINTERVALLE
+; When CONTOUR is activated, it is the value between 2 isolines
+; traced by a trait. So it can be different from the one specified by INTERVALLE which,
+; in this case, does not control colored isolines in color anymore. If there is noone
+; specified min, we choose a contour min which goes well with the specified interval!
+; If this keyword is not specified, we trace 20 isolines from the min to the max.
 ;
 ; @keyword CONTLABEL {type=integer}
 ; When CONTOUR is activated, if n
-; is different of 0, choose the label type corresponding to n cases for 
-; the traced by a traitisolines. To specify the type of label of the 
+; is different of 0, choose the label type corresponding to n cases for
+; the traced by a traitisolines. To specify the type of label of the
 ; colored contour, use LABEL
 ;
 ; @keyword CONTMAX {default=max of the keyword CONTOUR (on ocean points)}
-; When CONTOUR is activated, max value we want to consider in the isoline 
+; When CONTOUR is activated, max value we want to consider in the isoline
 ; traced by a trait's line.
 ;
 ; @keyword CONTMIN {default=min of the keyword CONTOUR (on ocean points)}
-; When CONTOUR is activated, min value we want to consider in the isoline 
-; traced by a trait's line. 
+; When CONTOUR is activated, min value we want to consider in the isoline
+; traced by a trait's line.
 ;
 ; @keyword CONTNLEVEL {default=20}
@@ -63,40 +63,40 @@
 ; CONTLABEL=0).
 ;
-; @keyword CONTOUR 
-; If we want to trace contours of a different field than the one 
-; whose we have the colored drawing (by example E-P in color and QSR in contours). 
+; @keyword CONTOUR
+; If we want to trace contours of a different field than the one
+; whose we have the colored drawing (by example E-P in color and QSR in contours).
 ; It must be a field respecting same characteristics than the argument number one of plt.
 ;
-; @keyword ENDPOINTS 
-; keyword specifying that we want to make a vertical cut in diagonal. Then coordinated of extremities 
-; of these one are defined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are 
-; coordinates. 
-;
-; @keyword INTERVALLE 
-; Value of an internal between to isoline. If there is none specified min, 
-; we choose a min contour which goes well with the specified interval!. If this keyword is not 
-; specified, we trace 20 isoline from the min to the max. Comment: When CONTOUR is activated, 
-; INTERVALLE only specify the interval between 2 colored isoline. To specify the interval 
+; @keyword ENDPOINTS
+; keyword specifying that we want to make a vertical cut in diagonal. Then coordinated of extremities
+; of these one are defined by the 4 elements of the vector ENDPOINTS: [x1,y1,x2,y2] which are
+; coordinates.
+;
+; @keyword INTERVALLE
+; Value of an internal between to isoline. If there is none specified min,
+; we choose a min contour which goes well with the specified interval!. If this keyword is not
+; specified, we trace 20 isoline from the min to the max. Comment: When CONTOUR is activated,
+; INTERVALLE only specify the interval between 2 colored isoline. To specify the interval
 ; between 2 isolines traced by a trait, use CONTINTERVALLE.
 ;
-; @keyword INV 
-; Invert the color vector used to color the graph 
+; @keyword INV
+; Invert the color vector used to color the graph
 ;               (without use the black, the white and the used palette)
 ;
 ; @keyword ZRATIO {default=2./3}
-; When the drawing has a zoomed part, it is the size rapport between the zoomed part, 
+; When the drawing has a zoomed part, it is the size rapport between the zoomed part,
 ; hz (zoom height), and the whole drawing, ht (total height).
 ;
 ; @keyword LABEL {default=0}{type=integer}
 ; It choose the label's type corresponding to cases in label.pro.
-; Comment: When CONTOUR is activated, it only specify the label's type for colored isolines. 
-; For these one traced by a trait, use CONTLABEL. 
-;
-; @keyword MAXIN 
+; Comment: When CONTOUR is activated, it only specify the label's type for colored isolines.
+; For these one traced by a trait, use CONTLABEL.
+;
+; @keyword MAXIN
 ; to specify the max value we want to plot with a keyword instead of with the
 ; input parameter max. If max is defined by both, parameter and keyword, the
 ; keyword is retained.
 ;
-; @keyword MININ 
+; @keyword MININ
 ; to specify the min value we want to plot with a keyword instead of with the
 ; input parameter min. If min is defined by both, parameter and keyword, the
@@ -106,24 +106,24 @@
 ; Number of contour to draw by default =20. active if
 ; LABEL=0 or is not specified.
-; 
-; @keyword NOTRI 
-; To force not to use the triangulation. Beware, in this case, the 
-; drawing only works if the grid is undeformed (It means that each point of a longitude 
-; give one latitude and each point of a latitude give one longitude) except if we use 
-; the keyword CELL_FILL=2. 
+;
+; @keyword NOTRI
+; To force not to use the triangulation. Beware, in this case, the
+; drawing only works if the grid is undeformed (It means that each point of a longitude
+; give one latitude and each point of a latitude give one longitude) except if we use
+; the keyword CELL_FILL=2.
 ; Comment: if the field contain points !values.f_nan, then we even do a triangulation.
 ;
-; @keyword OVERPLOT 
-; To make a plot over an other one. 
-; Comment: Contrarily to the use of CONTOUR or VECTEUR, the use of this keyword 
+; @keyword OVERPLOT
+; To make a plot over an other one.
+; Comment: Contrarily to the use of CONTOUR or VECTEUR, the use of this keyword
 ; does not the caption and/or the color bar.
 ;
-; @keyword SIN 
-; Activate this keyword if we want the x axis to be traced in sinus of the 
+; @keyword SIN
+; Activate this keyword if we want the x axis to be traced in sinus of the
 ; latitude when we make a drawing f(y)
 ;
-; @keyword STRICTFILL 
-; Activate this keyword to that the filling of contours be 
-; precisely done between the min and the max specified letting values inferior at the 
+; @keyword STRICTFILL
+; Activate this keyword to that the filling of contours be
+; precisely done between the min and the max specified letting values inferior at the
 ; specified min and values superior at the specified max in white.
 ;
@@ -131,6 +131,6 @@
 ; Contour's style to adopt to draw isolines
 ;
-; @keyword WDEPTH 
-; To specify that the field is at W depth instead of T 
+; @keyword WDEPTH
+; To specify that the field is at W depth instead of T
 ; depth (automatically activated if vargrid eq 'W')
 ;
@@ -209,5 +209,5 @@
   IF usetri EQ 1 AND keyword_set(realsection) THEN usetri = 0
 ; did we specify the type ?
-  if keyword_set(typein) then BEGIN 
+  if keyword_set(typein) then BEGIN
     if size(type, /type) NE 7 AND size(type, /type) NE 0 then begin
       if n_elements(min) NE 0 then max = min
@@ -216,16 +216,16 @@
     type = typein
   ENDIF
-; 
+;
   checktypeminmax, 'pltz', TYPE = type, MIN = min, MAX = max $
     , XZ = xz, YZ = yz, ENDPOINTS = endpoints, _extra = ex
 ;
   if keyword_set(endpoints) then begin
-    section, tab, z2d, glam, gphi, ENDPOINTS = endpoints, TYPE = type $ 
+    section, tab, z2d, glam, gphi, ENDPOINTS = endpoints, TYPE = type $
     , BOXZOOM = boxzoom, DIREC = direc, WDEPTH = wdepth, _extra = ex
-    if z2d[0] EQ -1 AND n_elements(contour) ne 4 then BEGIN 
+    if z2d[0] EQ -1 AND n_elements(contour) ne 4 then BEGIN
       restoreboxparam, 'boxparam4pltz.dat'
       return
     ENDIF
-    nx = n_elements(glam) 
+    nx = n_elements(glam)
     ny = nx
     if strupcase(vargrid) EQ 'W' then begin
@@ -240,5 +240,5 @@
     z2d = checkfield(tab, 'pltz', TYPE = type, BOXZOOM = boxzoom $
                      , DIREC = direc, WDEPTH = wdepth, _extra = ex)
-    if z2d[0] EQ -1 AND n_elements(contour) ne 4 then BEGIN 
+    if z2d[0] EQ -1 AND n_elements(contour) ne 4 then BEGIN
       restoreboxparam, 'boxparam4pltz.dat'
       return
@@ -260,5 +260,5 @@
   z2d = reverse(z2d, 2)
 ;-----------------------------------------------------------------------------
-; Determination of the mi:min and of the ma:max of z2d in the same way 
+; Determination of the mi:min and of the ma:max of z2d in the same way
 ; as max: max and min: min for the drawing.
 ;-----------------------------------------------------------------------------
@@ -316,10 +316,10 @@
       z2d = remplit(z2d, nite = 1-(n_elements(maskfill) NE 0) $
                     , mask = z2d LT valmask/10, /basique, _extra = ex)
-  ENDIF ELSE BEGIN 
+  ENDIF ELSE BEGIN
 ; filling the mask values with 8 neighbourg
     z2d = remplit(z2d, nite = (1+(vargrid NE 'T')+keyword_set(nan)) $
                   *(1-(n_elements(maskfill) NE 0)), mask = mask*masknan $
                   , /basique, _extra = ex)
-  ENDELSE 
+  ENDELSE
   if keyword_set(strictfill) EQ 0 AND n_elements(maskfill) EQ 0 $
     then z2d = min > z2d <  max
@@ -329,7 +329,7 @@
   ENDIF
 ;----------------------------------------------------------
-; check the mask and the triangulation according to the grid type and 
+; check the mask and the triangulation according to the grid type and
 ; nan values. find the coordinates of the mask
-;---------------------------------------------------------- 
+;----------------------------------------------------------
 ;   if (where(mask EQ 0))[0] EQ -1 AND NOT keyword_set(nan) then notri = 1
 ;   if keyword_set(notri) then trifield = -1 $
@@ -347,11 +347,11 @@
     xmask = xxaxis
     zmask = zzaxis
-  ENDELSE 
-;
-  if (usetri GE 1 AND (vargrid NE 'T' AND vargrid NE 'W')) THEN BEGIN 
+  ENDELSE
+;
+  if (usetri GE 1 AND (vargrid NE 'T' AND vargrid NE 'W')) THEN BEGIN
     IF keyword_set(realsection) THEN trimsk = triangule(mask, /basic) $
     ELSE trimsk = triangule(mask, /basic, coinmonte = coinmontemask $
                             , coindescend = coindescendmask)
-  ENDIF     
+  ENDIF
 ;------------------------------------------------------------
 ; dessin en lui meme
@@ -387,5 +387,5 @@
     return
   endif
-  if keyword_set(contour) THEN BEGIN 
+  if keyword_set(contour) THEN BEGIN
     pourlegende = [1, 1, 1, 1]
     oldattributs = saveatt()
@@ -403,5 +403,5 @@
 ; 3rd part: drawing of the frame, caption, colorbar...
 ;------------------------------------------------------------
-  if keyword_set(overplot) then BEGIN 
+  if keyword_set(overplot) then BEGIN
     !y.range =  [zoom, profmin] ; We get back on physic coordinates
     plot, [0], [0], /nodata, /noerase, title = '', subtitle = '', xstyle = 5, ystyle = 5
@@ -409,5 +409,5 @@
   endif
 ;------------------------------------------------------------
-; Caption + dysplay of them
+; Caption + display of them
 ;------------------------------------------------------------
   legende, mi, ma, type, CONTOUR = pourlegende, INTERVALLE = intervalle, DIREC = direc, endpoints = endpoints, _EXTRA = ex
@@ -423,5 +423,5 @@
 ; Y axis in 1 or 2 part
 ;------------------------------------------------------------
-  if n_elements(ex) NE 0 then BEGIN 
+  if n_elements(ex) NE 0 then BEGIN
 ; To do not put title anymore
     if (where(tag_names(ex) EQ 'TITLE'))[0] NE -1 then ex.TITLE = ' '
@@ -429,5 +429,5 @@
     if (where(tag_names(ex) EQ 'SUBTITLE'))[0] NE -1 then ex.SUBTITLE = ' '
 ; To have just one ytitle
-    if (where(tag_names(ex) EQ 'YTITLE'))[0] NE -1 then BEGIN 
+    if (where(tag_names(ex) EQ 'YTITLE'))[0] NE -1 then BEGIN
       ytitle = ex.YTITLE
       ex.YTITLE = ' '
@@ -480,5 +480,5 @@
   restoreboxparam, 'boxparam4pltz.dat'
 ;
-  if keyword_set(key_performance) NE 0 THEN print, 'temps pltz', systime(1)-tempsun 
+  if keyword_set(key_performance) NE 0 THEN print, 'temps pltz', systime(1)-tempsun
   return
 end
